%define 	module	googlemaps
Summary:	Python wrapper for the Google Maps and Local Search APIs
Name:		python-%{module}
Version:	1.0.2
Release:	3
License:	AGPL v3
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/project/py-googlemaps/googlemaps-%{version}.tar.gz
# Source0-md5:	314b5c32f083a2070efcec7f3942f6c8
URL:		http://sourceforge.net/projects/py-googlemaps/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Easy-to-use Python wrapper for the Google Maps and Local Search APIs.
Provides geocoding, reverse geocoding, directions, and local search.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt doc/html/*
%{py_sitescriptdir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/googlemaps-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-googlemaps.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6c78c52
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0caf611
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 882f0f8
- release 2

* Sun Jun 13 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a5b7e5
- initial

